<div class="panel">
  <form [formGroup]="prospectForm" class="container">

    <!--   Company Information Fieldset -->
    <fieldset>
      <legend>Company Info</legend>
      <div class="form-group">
        <div class="flex-item">
          <label>Company Name</label><sup>*</sup>
          <input class="form-control" formControlName="company_name" />
          <div class="error-msg" *ngIf="formErrors.company_name">{{ formErrors.company_name }}</div>
        </div>

        <div class="flex-item">
          <label>Username</label>
          <input class="form-control" formControlName="username" autocomplete="username" />
          <div class="error-msg" *ngIf="formErrors.username">{{ formErrors.username }}</div>
        </div>

        <div class="flex-item">
          <label>Date</label>
          <input class="form-control" formControlName="date" bsDatepicker
            [bsConfig]="{ containerClass: 'theme-default' }" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item" style="flex: 0.6">
          <label>Office Number</label>
          <input class="form-control" formControlName="office_number" />
        </div>

        <div class="flex-item" style="flex: 0.3">
          <label>Ext.</label>
          <input class="form-control" formControlName="extension" />
        </div>

        <div class="flex-item">
          <label>Fax Number</label>
          <input class="form-control" formControlName="fax_number" />
          <div class="error-msg" *ngIf="formErrors.fax_number">{{ formErrors.fax_number }}</div>
        </div>

        <div class="flex-item">
          <label>Industry</label><sup>*</sup>
          <input class="form-control" formControlName="industry" />
          <div class="error-msg" *ngIf="formErrors.industry">{{ formErrors.industry }}</div>
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Email</label><sup>*</sup>
          <input class="form-control" formControlName="email">
          <div class="error-msg" *ngIf="formErrors.email">{{ formErrors.email }}</div>
        </div>

        <div class="flex-item">
          <label>Photo</label>
          <input class="d-block upload-control" type="file" (change)="onFileSelect($event)" />
        </div>

        <div class="flex-item">
        </div>
      </div>
    </fieldset>

    <!-- Location Info Fieldset -->
    <fieldset>
      <legend>Location Info</legend>
      <div class="form-group">
        <div class="flex-item">
          <label>Address1</label><sup>*</sup>
          <input class="form-control" formControlName="address1" />
          <!-- <div class="error-msg" *ngIf="formErrors.address1">{{ formErrors.address1 }}</div> -->
        </div>

        <div class="flex-item">
          <label>Suite No</label>
          <input class="form-control" formControlName="suite_no" />
          <!-- <div class="error-msg" *ngIf="formErrors.suite_no">{{ formErrors.suite_no }}</div> -->
        </div>

        <div class="flex-item">
          <label>City</label>
          <input class="form-control" formControlName="city" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>State</label>
          <input class="form-control" formControlName="state" />
        </div>

        <div class="flex-item">
          <label>Zip</label>
          <input class="form-control" formControlName="zip" />
          <!-- <div class="error-msg" *ngIf="formErrors.zip">{{ formErrors.zip }}</div> -->
        </div>

        <div class="flex-item">
          <label>Branch</label><sup>*</sup>
          <input class="form-control" formControlName="branch" />
          <!-- <div class="error-msg" *ngIf="formErrors.branch">{{ formErrors.branch }}</div> -->
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Location</label><sup>*</sup>
          <input class="form-control" formControlName="location">
          <!-- <div class="error-msg" *ngIf="formErrors.location">{{ formErrors.location }}</div> -->
        </div>

        <div class="flex-item">
          <label>Contract</label>
          <input class="d-block upload-control" type="file" (change)="onFileSelect($event)" />
        </div>

        <div class="flex-item">
        </div>
      </div>
    </fieldset>

    <ng-container *ngIf="editMode">
      <fieldset>
        <legend>Contact</legend>
        <div class="increment-form-array__icon">
          <i class="fas fa-plus-circle" tooltip="Add Contact" (click)="openModal(addContactModal)"></i>
        </div>

        <div formArrayName="contacts" *ngFor="let contact of prospectForm.get('contacts').controls; let i = index;">

          <div class="form-group" [formGroupName]="i">
            <div class="flex-item">
              <label>Title</label>
              <input class="form-control" formControlName="title" />
            </div>

            <div class="flex-item">
              <label>Name</label>
              <input class="form-control" formControlName="name" />
            </div>

            <div class="flex-item">
              <label>Email</label>
              <input class="form-control" formControlName="email" />
            </div>

            <div class="flex-item">
              <label>Cell Phone</label>
              <input class="form-control" formControlName="cell_phone" />
            </div>

            <div class="flex-item" style="flex: 0.5">
              <label>Email Report</label>
              <input class="d-block" type="checkbox" formControlName="email_report" />
            </div>

            <div class="flex-item" style="flex: 0.5">
              <label>Primary Contact</label>
              <input class="d-block" type="checkbox" formControlName="primary_contact" />
            </div>

            <div class="center-action-content">
              <div class="d-inline">
                <i class="fas fa-pencil-alt mr-2 cursor-pointer" tooltip="Edit" (click)="enableContactRow(i)"></i>
                <i class="fas fa-trash-alt mr-2 cursor-pointer" tooltip="Delete" (click)="deleteContactRow(i)"></i>
              </div>
            </div>
          </div>
        </div>

      </fieldset>
    </ng-container>

    <div class="mb-3 mt-3">
      <button *ngIf="!editMode" class="btn btn-primary mr-3" (click)="onAdd()">Save</button>
      <button *ngIf="editMode" class="btn btn-primary mr-3" (click)="onEdit()">Save</button>
      <button class="btn btn-danger" (click)="onCancel()">Cancel</button>
    </div>

  </form>
</div>

<!-- Add Utility Modal -->
<ng-template #addContactModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add Contact</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="closeModal()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="flex-item mb-3">
        <label>Title</label>
        <input class="form-control" />
      </div>

      <div class="flex-item mb-3">
        <label>Name</label>
        <input class="form-control" />
      </div>

      <div class="flex-item mb-3">
        <label>Email</label>
        <input class="form-control" />
      </div>

      <div class="flex-item mb-3">
        <label>Cell Phone</label>
        <input class="form-control" />
      </div>

      <div class="form-group">
        <div class="flex-item mb-3">
          <label>Email Report</label>
          <input class="d-block" type="checkbox" />
        </div>

        <div class="flex-item mb-3">
          <label>Primary Contact</label>
          <input class="d-block" type="checkbox" />
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-primary" class="btn btn-primary">Add</button>
    <button class="btn btn-danger" type="button" (click)="closeModal()">Cancel</button>
  </div>
</ng-template>